Prima Pagina iOS 6 iOS 6 nu iti va permite sa faci prea usor restore la...

iOS 6 nu iti va permite sa faci prea usor restore la iOS 5.1.1

In aceasta seara Apple a lansat iOS 6 pentru toate iDevice-urile, iar pentru jailbreaketi exista o mare problema. Cei de la Dev Team explica pe propriul blog totul si pe scurt povestea suna cam asa: daca aveti orice terminal lansat dupa iPad 2, atunci nu mai puteti reveni usor sau deloc la iOS 5.1.1 dupa ce Apple nu va mai semna SHSH-uri pentru acea versiune a iOS. Explicatiile detaliate suna cam asa:

– in cazul iPhone 3Gs, iPhone 4 si iPod Touch 4G puteti face restore oricand daca aveti disponibile SHSH-uri pentru versiunea de iOS la care doriti sa reveniti. In ceea ce priveste jailbreak-ul, pentru iPhone 3GS cu bootrom vechi va exista untethered jailbreak, iar pentru restul va exista un tethered jailbreak public abia cand Cydia va deveni 100% compatibila cu iOS 6;

-daca aveti iPhone 4S, iPad 2(fara blobs), iPad 3 sau un terminal lansat dupa ea, atunci puteti face re-restore la versiunea iOS 5 pe care o aveti deja instalata. Daca treceti la iOS 6 nu mai puteti reveni la ios 5, insa daca ati ramas la iOS 5, atunci puteti face re-restore la versiunea pe care o rulati, chiar daca Apple nu mai salveaza SHSH-uri;

-daca aveti iPad 2 cu blob-uri salvate pentru ios 4,x sau ios 5.x, atunci puteti reveni la acele versiuni ale ios, chiar daca Apple nu mai semneaza SHSH-uri pentru ele. Problema este ca aveti nevoie de blob-uri pentru iOS 4 si iOs 5 daca vreti sa faceti downgrade, deci ar fi bine sa ramaneti la iOS 5.1.1.
Indiferent daca puteti face downgrade sau nu la o anumita versiune a iOS baseband-ul nu se va schimba. In curand Dev Team va lansa noi versiuni ale peogramelor actuale, insa intre timp ramaneti la iOS 5.x.

  1. A4 devices and 3GS will always be downgradable (and jailbreakable) due to limera1n. The tethered iOS6 jailbreak for those devices (and untethered for old-bootrom 3GS) will be out when Cydia and other important pieces are all working properly
  2. iPad2 owners who have both 4.x blobs and 5.x blobs will always be able to downgrade to those versions, even once you come up to 6.0 and the 5.1.1 window closes (don’t do that yet though!). You need both 4.x and 5.x blobs to qualify for the downgrade even if you only wish to downgrade to 5.x
  3. iPad3, i4S (and iPad2 owners who don’t satisfy #2) will always be able to RE-restore the current 5.x OS that’s already on their device. So if you’re at 5.1.1 when the window closes (and you’ve saved your blobs), you’ll always be able to RE-restore to 5.1.1 again. This makes the 5.1.1 jailbreak a lot less fragile — you don’t have to worry about messing up your install with funky extensions or getting into a boot loop, because you can always RE-restore from 5.1.1 to 5.1.1 again (or from 5.0.1 to 5.0.1 again, etc). But once you fall off the 5.x train by restoring to 6.x, you’ll be stuck there until the next jailbreak.